Describe Cluster (V2)
Describe a cluster in detail.
The base URL for this API is in the following format:
https://api.cloud.zilliz.com
The endpoints on the control plane currently supports up to 20 requests per second per user per endpoint.
export BASE_URL="https://api.cloud.zilliz.com"
The authentication token should be an API key with appropriate privileges.
Use application/json.
ID of the cluster whose details are to return.
export TOKEN="YOUR_API_KEY"
export CLUSTER_ID="inxx-xxxxxxxxxxxxxxx"
curl --request GET \
--url "${BASE_URL}/v2/clusters/${CLUSTER_ID}" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Accept: application/json" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json"
Returns information about the specified cluster in detail.
A successful response body containing the requested Cluster for the specified CLUSTER_ID.
Response code.
Response payload.
ID of the specified cluster.
Name of the cluster.
ID of the project to which the cluster belongs.
Description of the cluster.
ID of the cloud region hosting the cluster.
Type of the cluster.
This applies to dedicated clusters only. For free and serverless clusters, the value is empty.
Subscription plan of the project to which the cluster belongs. Possible values are Free, Serverless, Standard and Enterprise.
Current status of the cluster.
Public endpoint of the cluster.
Private link of the cluster.
Whether a public endpoint is enabled for the cluster. Omitted when not set.
Time at which the cluster has been created.
Number of replicas of the cluster.
CU size of the cluster. For free and serverless clusters, the value is always 0.
Storage size used by this cluster.
Number of backups created.
Creation progress of the cluster.
Deployment option of the cluster.
Auto-scaling configuration for the cluster.
Auto-scaling configuration for CUs.
Minimum number of CUs for auto-scaling. This parameter and schedules are mutually exclusive.
Maximum number of CUs for auto-scaling. This parameter and schedules are mutually exclusive.
Auto-scaling schedules. This parameter and min/max are mutually exclusive.
An auto-scaling schedule.
Cron expression defining the schedule.
Target number of CUs for this schedule.
Timezone of the cron schedule.
Auto-scaling configuration for replicas.
Minimum number of replicas for auto-scaling. This parameter and schedules are mutually exclusive.
Maximum number of replicas for auto-scaling. This parameter and schedules are mutually exclusive.
Auto-scaling schedules. This parameter and min/max are mutually exclusive.
An auto-scaling schedule.
Cron expression defining the schedule.
Target number of replicas for this schedule.
Timezone of the cron schedule.
Metadata of the global cluster if the current cluster belongs to a global cluster. Otherwise, this field is null.
ID of the global cluster.
Role of the cluster in the global cluster. Possible values are PRIMARY and SECONDARY.
Returns an error message.
Response code.
Error message.
{
"code": 0,
"data": {
"clusterId": "in01-108240180a4faf8",
"clusterName": "dedicated-test",
"projectId": "proj-b44a39b0c51cf21791a841",
"description": "",
"regionId": "aws-us-west-2",
"cuType": "Performance-optimized",
"plan": "Enterprise",
"status": "RUNNING",
"connectAddress": "https://in01-108240180a4faf8.aws-us-west-2.vectordb.zillizcloud.com:19539",
"privateLinkAddress": "",
"createTime": "2024-06-30T16:34:09Z",
"replica": 1,
"cuSize": 2,
"storageSize": 0,
"snapshotNumber": 0,
"createProgress": 100,
"deploymentOption": "Dedicated"
}
}
{
"code": 0,
"data": {
"clusterId": "in05-991240180a4faf8",
"clusterName": "Serverless-01",
"projectId": "proj-b44a39b0c51cf21791a841",
"description": "",
"regionId": "gcp-us-west1",
"cuType": "",
"plan": "Serverless",
"status": "RUNNING",
"connectAddress": "https://in05-991240180a4faf8.gcp-us-west1.cloud.zilliz.com",
"privateLinkAddress": "",
"createTime": "2024-06-29T16:35:09Z",
"replica": 1,
"cuSize": 0,
"storageSize": 0,
"snapshotNumber": 0,
"createProgress": 100
}
}
{
"code": 0,
"data": {
"clusterId": "in03-112340180a4faf8",
"clusterName": "Free-01",
"projectId": "proj-b44a39b0c51cf21791a841",
"description": "",
"regionId": "gcp-us-west1",
"cuType": "",
"plan": "Free",
"status": "RUNNING",
"connectAddress": "https://in03-112340180a4faf8.api.gcp-us-west1.zillizcloud.com",
"privateLinkAddress": "",
"createTime": "2024-06-24T12:35:09Z",
"replica": 1,
"cuSize": 0,
"storageSize": 0,
"snapshotNumber": 0,
"createProgress": 100
}
}
{
"code": 0,
"data": {
"clusterId": "in01-108240180a4faf8",
"clusterName": "dedicated-test",
"projectId": "proj-b44a39b0c51cf21791a841",
"description": "",
"regionId": "aws-us-west-2",
"cuType": "Performance-optimized",
"plan": "Enterprise",
"status": "RUNNING",
"connectAddress": "https://in01-108240180a4faf8.aws-us-west-2.vectordb.zillizcloud.com:19539",
"privateLinkAddress": "",
"createTime": "2024-06-30T16:34:09Z",
"replica": 1,
"cuSize": 2,
"storageSize": 0,
"snapshotNumber": 0,
"createProgress": 100,
"deploymentOption": "Dedicated",
"globalClusterMeta": {
"globalClusterId": "glo-xxxxxxxxxxxxxxx",
"role": "PRIMARY"
}
}
}